summaryrefslogtreecommitdiffstats
path: root/source/kde/kdebase-runtime
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/kdebase-runtime')
-rw-r--r--source/kde/kdebase-runtime/doinst.sh5
-rw-r--r--source/kde/kdebase-runtime/kdebase-runtime-text-render-969192.diff14
-rwxr-xr-xsource/kde/kdebase-runtime/kdebase-runtime.SlackBuild96
-rw-r--r--source/kde/kdebase-runtime/local.options1
-rw-r--r--source/kde/kdebase-runtime/slack-desc18
5 files changed, 134 insertions, 0 deletions
diff --git a/source/kde/kdebase-runtime/doinst.sh b/source/kde/kdebase-runtime/doinst.sh
new file mode 100644
index 000000000..22d4849bc
--- /dev/null
+++ b/source/kde/kdebase-runtime/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/source/kde/kdebase-runtime/kdebase-runtime-text-render-969192.diff b/source/kde/kdebase-runtime/kdebase-runtime-text-render-969192.diff
new file mode 100644
index 000000000..811f922e3
--- /dev/null
+++ b/source/kde/kdebase-runtime/kdebase-runtime-text-render-969192.diff
@@ -0,0 +1,14 @@
+Index: trunk/KDE/kdebase/runtime/kstyles/oxygen/oxygen.cpp
+===================================================================
+--- trunk/KDE/kdebase/runtime/kstyles/oxygen/oxygen.cpp (revision 969191)
++++ trunk/KDE/kdebase/runtime/kstyles/oxygen/oxygen.cpp (revision 969192)
+@@ -3067,7 +3067,8 @@
+
+ if (const QStyleOptionToolButton* tbOpt = qstyleoption_cast<const QStyleOptionToolButton*>(option)) {
+ if ((!tbOpt->icon.isNull()) && (!tbOpt->text.isEmpty()) && tbOpt->toolButtonStyle == Qt::ToolButtonTextUnderIcon)
+- size.setHeight(size.height()-9);
++ // TODO: Make this font size dependent
++ size.setHeight(size.height()-5);
+ }
+
+ // We want to avoid super-skiny buttons, for things like "up" when icons + text
diff --git a/source/kde/kdebase-runtime/kdebase-runtime.SlackBuild b/source/kde/kdebase-runtime/kdebase-runtime.SlackBuild
new file mode 100755
index 000000000..90b25549d
--- /dev/null
+++ b/source/kde/kdebase-runtime/kdebase-runtime.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdebase-runtime
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building kdebase-runtime-$VERSION..."
+tar xvf $CWD/../src/kdebase-runtime-$VERSION.tar.?z* || exit 1
+cd kdebase-runtime-$VERSION
+
+# Fix a bug where the top and bottom of text is improperly cropped:
+zcat $CWD/kdebase-runtime-text-render-969192.diff.gz | patch -p4 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+# Create a symlink in /usr/bin to the kdesu binary
+( cd $PKG/usr/bin ; ln -s /usr/lib${LIBDIRSUFFIX}/kde4/libexec/kdesu . )
+
+# Remove the hicolor icon theme index.theme so it doesn't clobber the real one
+rm -f $PKG/usr/share/icons/hicolor/index.theme
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdebase-runtime-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/kde/kdebase-runtime/local.options b/source/kde/kdebase-runtime/local.options
new file mode 100644
index 000000000..aae3c765c
--- /dev/null
+++ b/source/kde/kdebase-runtime/local.options
@@ -0,0 +1 @@
+BUILD=2
diff --git a/source/kde/kdebase-runtime/slack-desc b/source/kde/kdebase-runtime/slack-desc
new file mode 100644
index 000000000..0b8de17be
--- /dev/null
+++ b/source/kde/kdebase-runtime/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+kdebase-runtime: kdebase-runtime
+kdebase-runtime:
+kdebase-runtime: This package contains core components of the KDE base runtime module.
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime: